seniority.six <- seniority
seniority.six[which((seniority>=6)&(seniority%%2==0))] <- 6 
seniority.six[which((seniority>=6)&(seniority%%2==1))] <- 5
source("setup.sen.dummies.r") #rev
attach(sen.dummies)

ATE.pred <- ATE.b <- ATE.se <- ATE.star <-ATE.p <- ATE.diff.star <- ATE.diff.p <- obs <- EV.name <- DV.name <- NULL

for (v in 1:5){#Feb2
ols.out <- glm(dv[,v] ~ seniority2 + seniority3 + seniority4 + seniority5 + seniority6 -1 ,x=T,y=T) #rev # treat.assignment 
ATE.b.v <- ols.out$coef[which(!is.na(ols.out$coef))]
ols.out.block1 <- robust.se(ols.out,block1)
ols.out.block2 <- robust.se(ols.out,block2)
ols.out.block3 <- robust.se(ols.out,block3)
ITT.vcov <- ols.out.block1+ols.out.block2 - ols.out.block3
ATE.se.v <- sqrt(diag(ITT.vcov))
ATE.p.v <- pnorm(-abs(ATE.b.v/ATE.se.v))*2
ATE.star.v <- star(ATE.p.v)
EV.name <- c(EV.name,rownames(ols.out.block1))
ATE.b<- c(ATE.b,ATE.b.v)
ATE.se <- c(ATE.se,ATE.se.v)
ATE.p <- c(ATE.p,ATE.p.v)
ATE.star <- c(ATE.star,ATE.star.v)
}

ATE <- cbind(ATE.b,ATE.se,ATE.p,ATE.star,obs)

ATE.robust <- ATE
detach(sen.dummies)
var.name <- c("Days of Attendance","Days of Speech","Letters in Speech", "Speech per Attendance", "Speech Letters-per-Day")#rev



