var.name <- c("Days of Attendance","Days of Speech","Letters in Speech", "Speech per Attendance","Speech Letters-per-Day")

plot.data <- NULL
for(var.i in c(1:3,5)){
  use <- (var.i*5)+c(1:5)
  temp.pred <- ATE.baseline[use,1]
  UB <- temp.pred + (ATE.baseline[use,2]*qnorm(0.975))
  LB <- temp.pred - (ATE.baseline[use,2]*qnorm(0.975))
  sump <- summary(as.numeric(c(UB,LB)))
  if(sump[1]>0){sump[1] <- 0} 
  if(sump[6]<0){sump[6] <- 0} 
  yl <- c(sump[1]-(sump[6]-sump[1])/20,sump[6]+(sump[6]-sump[1])/20)
  plot.data.temp <- data.frame(UB,LB,PE=temp.pred,Month=1:5,var.name = var.name[var.i],ll=yl[1],ul=yl[2])
  plot.data <- rbind(plot.data,plot.data.temp)
 }
g <- ggplot(plot.data,aes(x=Month,y=PE,ymax=UB,ymin=LB))
g <- g  +geom_hline(aes(yintercept=0),colour="grey60")+ geom_pointrange() + facet_wrap(~var.name,scales="free_y")+
geom_blank(aes(ymax=ul,ymin=ll)) +
theme_bw()+ylab("")
print(g)
