YonT.b <- YonT.se <- obs <- array(dim=5)
for (v in 1:5){
ols.out <- glm(dv[,v] ~ prospective.candidacy.md + seniority.md -1,x=T,y=T)
YonT.b[v] <- ols.out$coef[1]
ols.out.block1 <- robust.se(ols.out,block1)
ols.out.block2 <- robust.se(ols.out,block2)
ols.out.block3 <- robust.se(ols.out,block3)
YonT.se[v] <- sqrt((ols.out.block1+ols.out.block2 - ols.out.block3)[1,1])
}

YonT.p <- pnorm(-abs(YonT.b/YonT.se))*2
YonT.star <- star(YonT.p)
YonT <- cbind(YonT.b,YonT.se,YonT.p,YonT.star)
rownames(YonT) <- colnames(dv)[1:5]



