YonTdumR.b <- YonTdumR.se <- obs <- array(dim=5)

for (v in 1:5){
ols.out <- glm(dv[,v] ~ prospective.candidacy.md + seniority.md + retiree.md -1,x=T,y=T)
YonTdumR.b[v] <- ols.out$coef[1]
ols.out.block1 <- robust.se(ols.out,block1)
ols.out.block2 <- robust.se(ols.out,block2)
ols.out.block3 <- robust.se(ols.out,block3)
YonTdumR.se[v] <- sqrt((ols.out.block1+ols.out.block2 - ols.out.block3)[1,1])
}

YonTdumR.p <- pnorm(-abs(YonTdumR.b/YonTdumR.se))*2
YonTdumR.star <- star(YonTdumR.p)
YonTdumR <- cbind(YonTdumR.b,YonTdumR.se,YonTdumR.p,YonTdumR.star)
rownames(YonTdumR) <- colnames(dv)[1:5]


