table.FT <- matrix(NA,(7*2),2)
# baseline
table.FT[((c(1:2)*2)-1),1] <- FT.b <- summary(first.stage.baseline)$coef[,1]
FT.se <- first.stage.se.baseline
table.FT[(c(1:2)*2),1] <- -FT.se
FT.p <- pnorm(-abs(FT.b/FT.se))*2
FT.star <- star(FT.p)
FT <- round(cbind(FT.b,FT.se,FT.p,FT.star),3)
write.csv(FT,"../result/first.stage.baseline.csv")

# irregular
table.FT[((c(1,3:7)*2)-1),2] <- FT.b <- summary(first.stage.irregular)$coef[,1]
FT.se <- first.stage.se.irregular
table.FT[(c(1,3:7)*2),2] <- -FT.se 
FT.p <- pnorm(-abs(FT.b/FT.se))*2
FT.star <- star(FT.p)
FT <- round(cbind(FT.b,FT.se,FT.p,FT.star),3)
write.csv(FT,"../result/first.stage.irregular.csv")

write.csv(table.FT,"../result/first.stage.csv")